#include "cctrlscrollbardata.h"
#include <QEvent>


CCtrlScrollBarData::CCtrlScrollBarData(QWidget *parent) : QScrollBar(parent)
{
    installEventFilter(this);
}

bool CCtrlScrollBarData::eventFilter(QObject *obj, QEvent *event)
{
    if(event->type() == QEvent::MouseButtonRelease) {
		emit  MouseRelease(value());
	}
    return QScrollBar::eventFilter( obj, event);
}
